mav_paletteLightPos(3)

NAME
mav_paletteLightPos - Set palette light position.

LEVEL
Maverik Level 1

SYNTAX
void mav_paletteLightPos(MAV_palette *p, int index, MAV_vector pos);

ARGUMENTS

MAV_palette *p
    Palette to set.

int index
    Index into lights table, in range 0..mav_opt_maxLights (default 5).

MAV_vector pos
    Position vector.

DESCRIPTION
This function sets the position of the light at entry index in the light table of palette p to be pos. By default lights are positioned relative to the eye point and, once defined, follow the eyepoint to give a car-headlight effect. Use mav_paletteLightPositioning to specify that a light should have an absolute fixed position defined in world coordinates.